import 'package:flutter_test/flutter_test.dart';
import 'package:server/apis/auth.dart';
import 'package:server/apis/shop.dart';

void main() {
  test('Спринт 2. Авторизация', () async {
    try {
      final response = await auth.login(
        'example123123@test.ru',
        'string213123',
      );
      if (response != null) {
        expect(response['record']['email'], 'example123123@test.ru');
      }
    } catch (e) {
      // ignore: avoid_print
      print(e);
    }
  });

  test('Спринт 2. Создание пользователя', () async {
    try {
      final response = await auth.register(
        'example123123333333@mail.ru',
        'string213123',
        'string213123',
        'testtest',
        'testtest',
        'testtest',
        'testtest',
        'testtest',
      );
      if (response != null) {
        expect(response['record']['firstname'], 'testtest');
      } else {
        expect('1', '2');
      }
    } catch (e) {
      // ignore: avoid_print
      print(e);
    }
  });
  test('Спринт 2. Получение каталога-3', () async {
    try {
      final response = await shop.getCatalog();
      if (response != null) {
        expect(response['perPage'], 30);
      }
    } catch (e) {
      print(e);
      return Error();
    }
  });
}
